Skip to content
GET /unified/ticketing/fields/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

applicable_forstring

The unique identifier of the applicable

applicable_instring

The context in which the field is applicable

Possible values:
collectionworkspaceticket
created_atstring · date-time

The date and time of the field's creation

4 supported
Gorgias
supported
Hive
supported
Salesforce
supported
Teamwork Project Management
supported
descriptionstring

The field's description

3 supported
Gorgias
supported
Salesforce
supported
Teamwork Project Management
supported
entity_idstring

The unique identifier for the entity the field belongs to

1 supported
Wrike
supported
entity_typestring

The entity type the field belongs to

Possible values:
ticket_typeticketcollectionuser
6 supported
Gorgias
supported
Hive
supported
Salesforce
supported
Teamwork Project Management
supported
Trengo
supported
Wrike
supported
etagstring

The unique identifier for the specific version of the resource.

formatstring

The field's format.

idstring

The field's unique identifier

7 supported
Gorgias
supported
Hive
supported
Planhat
supported
Salesforce
supported
Teamwork Project Management
supported
Trengo
supported
Wrike
supported
is_hiddenboolean

Whether the field is hidden

4 supported
Hive
supported
Planhat
supported
Teamwork Project Management
supported
Wrike
supported
is_requiredboolean

Whether the field is required

5 supported
Gorgias
supported
Planhat
supported
Salesforce
supported
Teamwork Project Management
supported
Trengo
supported
is_uniqueboolean

Whether the field is unique

1 supported
Salesforce
supported
is_user_definedboolean

Whether the field is user defined

2 supported
Gorgias
supported
Trengo
supported
labelstring

The field's label

6 supported
Gorgias
supported
Hive
supported
Planhat
supported
Salesforce
supported
Trengo
supported
Wrike
supported
namestring

The field's name. This is the name of the property in the entity.

7 supported
Gorgias
supported
Hive
supported
Planhat
supported
Salesforce
supported
Teamwork Project Management
supported
Trengo
supported
Wrike
supported
optionsobject[]

The field's options

6 supported
Gorgias
supported
Hive
supported
Planhat
supported
Salesforce
supported
Trengo
supported
Wrike
supported
descriptionstring

The option's description

is_hiddenboolean

Whether the option is hidden

labelstring

The option's label

valuestring

The option's value

remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The status of the field

Possible values:
activearchived
1 supported
Gorgias
supported
ticket_typestring

The ticket_type's unique identifier

typestring

The field's type. If no clear mapping exists, then raw value is returned.

Possible values:
stringtextrich_textnumberbooleandatedatetimetimeenumarrayfile
7 supported
Gorgias
supported
Hive
supported
Planhat
supported
Salesforce
supported
Teamwork Project Management
supported
Trengo
supported
Wrike
supported
updated_atstring · date-time

The date and time of the field's last update

4 supported
Gorgias
supported
Hive
supported
Salesforce
supported
Teamwork Project Management
supported
curl -X GET 'https://api.truto.one/unified/ticketing/fields/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ticketing/fields/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ticketing/fields/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'ticketing',
  'fields',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "ticketing",
        "fields",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())